Subject: [RTG-DIR] RtgDir review: draft-ietf-sidr-slurm-06

From: IJsbrand Wijnands <[email-masked]>
Date: Tue, 27 Feb 2018 10:18:19 +0100

Hello,

I have been selected as the Routing Directorate reviewer for this draft. The Routing Directorate seeks to review all routing or routing-related drafts as they pass through IETF last call and IESG review, and sometimes on special request. The purpose of the review is to provide assistance to the Routing ADs. For more information about the Routing Directorate, please see ​http://trac.tools.ietf.org/area/rtg/trac/wiki/RtgDir

Although these comments are primarily for the use of the Routing ADs, it would be helpful if you could consider them along with any other IETF Last Call comments that you receive, and strive to resolve them through discussion or by updating the draft.

Document: draft-ietf-sidr-slurm-06 
Reviewer: IJsbrand Wijnands 
Review Date: 27-02-2018 
Intended Status: Standards Track

Summary: 

• This document is basically ready for publication, but has nits that should be considered prior to publication.

Comments:

This document reads ok.

Minor issues:

It seems to me it would be useful to have a "Terminology and Definitions” section where the various acronyms are defined. That would help readers who are less familiar in this area (like myself) to parse the document.

Nits:

1. Introduction
+++++++++++++++

* What is a "putative TAs”? Its not declared anywhere.

* What is a “ROAs”? Should there be a RFC reference here?

2. RPKI RPs with SLURM
++++++++++++++++++++++

* What are “RPs”? Its not declared anywhere. 

3.3.  SLURM Target
++++++++++++++++++

* "A SLURM filer”, is that a filter or file?

---

From: Di Ma <[email-masked]>
Date: Tue, 27 Feb 2018 20:03:03 +0800

IJsbrand,

Thanks for your review.

Please see my responses in lines.

> 在 2018年2月27日，17:18，IJsbrand Wijnands <[email-masked]> 写道：
> 
> Hello,
> 

I understand your concern. 

However, the potential readers of this document are supposed to be familiar with the RPKI (RFC 6480) and BGPsec (RFC 8205) . All the acronyms use throughout this document are within the discourse system established by the RPKI and BGPsec. 

That is, only those who totally understand the RPKI and BGPsec would read this RFC for implementation and operations. 

Hoping I am making sense here :-) 

> 1. Introduction

Yes. We will use Trust Anchor for its first use. 

> * What is a “ROAs”? Should there be a RFC reference here?

ROA is explained as in ‘….the holder of a block of IP(v4 or v6) addresses can issue a Route Origination Authorization (ROA) [RFC6482]…’ in Introduction. 

> 2. RPKI RPs with SLURM

Yes. We will use Relaying Party for its first use. 

> 
> 
> 3.3.  SLURM Target
> ++++++++++++++++++
> 
> * “A SLURM filer”, is that a filter or file?

Good catch. It should have been file :-)

Di